<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>ARController.DownViewParams (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARController.DownViewParams (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.DownViewParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.CameraParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.Error.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.DownViewParams.html" target="_top">Frames</a></li>
<li><a href="ARController.DownViewParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class ARController.DownViewParams" class="title">Class ARController.DownViewParams</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.ARController.DownViewParams</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ARController.DownViewParams</span>
extends java.lang.Object</pre>
<div class="block">Encapsulates parameters which affect the Down view.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getCenterInterpolator--">getCenterInterpolator</a></span>()</code>
<div class="block">Get auto TFC interpolation algorithm.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeInAnimationDelay--">getFadeInAnimationDelay</a></span>()</code>
<div class="block">Get delay of Down view fade-in animation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeInAnimationTime--">getFadeInAnimationTime</a></span>()</code>
<div class="block">Get duration of Down view fade-in animation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeInInterpolator--">getFadeInInterpolator</a></span>()</code>
<div class="block">Get the interpolator for Down view fade-in animation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeOutAnimationDelay--">getFadeOutAnimationDelay</a></span>()</code>
<div class="block">Get delay of Down view fade-out animation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeOutAnimationTime--">getFadeOutAnimationTime</a></span>()</code>
<div class="block">Get duration of Down view fade-out animation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeOutInterpolator--">getFadeOutInterpolator</a></span>()</code>
<div class="block">Get the interpolator for Down view fade-out animation.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getGeoCenterInterpolator--">getGeoCenterInterpolator</a></span>()</code>
<div class="block">Get auto GPS interpolation algorithm.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getHeadingInterpolator--">getHeadingInterpolator</a></span>()</code>
<div class="block">Get auto heading interpolation algorithm.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getMaxAlpha--">getMaxAlpha</a></span>()</code>
<div class="block">Get maximum alpha value for DOWN view.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getMaxZoomOutScale--">getMaxZoomOutScale</a></span>()</code>
<div class="block">Get max zoom out level for Down view.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getMinAlpha--">getMinAlpha</a></span>()</code>
<div class="block">Get minimum alpha value for DOWN view.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getMinPitch--">getMinPitch</a></span>()</code>
<div class="block">Get minimum Down view pitch.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get auto pitch interpolation algorithm.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getPitchThreshold--">getPitchThreshold</a></span>()</code>
<div class="block">Get pitch threshold when Up view transitions to Down view</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getZoomInterpolator--">getZoomInterpolator</a></span>()</code>
<div class="block">Get auto zoom interpolation algorithm.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#isAutoGeoCenterEnabled--">isAutoGeoCenterEnabled</a></span>()</code>
<div class="block">Get Down view auto geo center setting.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#isAutoHeadingEnabled--">isAutoHeadingEnabled</a></span>()</code>
<div class="block">Get Down view auto heading setting.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#isAutoPitchEnabled--">isAutoPitchEnabled</a></span>()</code>
<div class="block">Get Down view auto pitch setting.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#isAutoTFCEnabled--">isAutoTFCEnabled</a></span>()</code>
<div class="block">Get Down view auto tfc setting.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#isAutoZoomEnabled--">isAutoZoomEnabled</a></span>()</code>
<div class="block">Get Down view auto zoom setting.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoControlOnEntryExit-boolean-">setAutoControlOnEntryExit</a></span>(boolean enabled)</code>
<div class="block">Enable/disable map auto control during Entry and Exit animations.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoGeoCenterEnabled-boolean-boolean-">setAutoGeoCenterEnabled</a></span>(boolean enabled,
                       boolean animate)</code>
<div class="block">Enable/disable auto geo center control.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoHeadingEnabled-boolean-boolean-">setAutoHeadingEnabled</a></span>(boolean enabled,
                     boolean animate)</code>
<div class="block">Enable/disable auto heading control.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoPitchEnabled-boolean-boolean-">setAutoPitchEnabled</a></span>(boolean enabled,
                   boolean animate)</code>
<div class="block">Enable/disable auto pitch control.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoTFCEnabled-boolean-boolean-">setAutoTFCEnabled</a></span>(boolean enabled,
                 boolean animate)</code>
<div class="block">Enable/disable auto transform center control.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setAutoZoomEnabled-boolean-boolean-">setAutoZoomEnabled</a></span>(boolean enabled,
                  boolean animate)</code>
<div class="block">Enable/disable auto zoom control.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setCenterInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto TFC interpolation algorithm.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeInAnimationDelay-long-">setFadeInAnimationDelay</a></span>(long value)</code>
<div class="block">Set Down view fade-in animation delay.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeInAnimationTime-long-">setFadeInAnimationTime</a></span>(long value)</code>
<div class="block">Set Down view fade-in animation duration.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeInInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setFadeInInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for Down view fade-in animation.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeOutAnimationDelay-long-">setFadeOutAnimationDelay</a></span>(long value)</code>
<div class="block">Set Down view fade-out animation delay.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeOutAnimationTime-long-">setFadeOutAnimationTime</a></span>(long value)</code>
<div class="block">Set Down view fade-out animation duration.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeOutInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setFadeOutInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for Down view fade-out animation.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setGeoCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setGeoCenterInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto GPS interpolation algorithm.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setHeadingInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto heading interpolation algorithm</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setMaxAlpha-float-">setMaxAlpha</a></span>(float value)</code>
<div class="block">Set maximum alpha value for DOWN view.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setMaxZoomOutScale-float-boolean-boolean-">setMaxZoomOutScale</a></span>(float value,
                  boolean animate,
                  boolean pitchCorrection)</code>
<div class="block">Set max zoom out level for Down view.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setMinAlpha-float-">setMinAlpha</a></span>(float value)</code>
<div class="block">Set minimum alpha value for DOWN view.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setMinPitch-float-">setMinPitch</a></span>(float value)</code>
<div class="block">Sets minimum Down view pitch.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto pitch interpolation algorithm</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setPitchThreshold-float-">setPitchThreshold</a></span>(float value)</code>
<div class="block">Set Pitch threshold when Up view transitions to Down view</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setTransformCenter-android.graphics.PointF-boolean-">setTransformCenter</a></span>(android.graphics.PointF center,
                  boolean animate)</code>
<div class="block">Set down view transform center in the livesight.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setZoomInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto zoom interpolation algorithm.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setMaxZoomOutScale-float-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxZoomOutScale</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setMaxZoomOutScale(float value,
                                                      boolean animate,
                                                      boolean pitchCorrection)</pre>
<div class="block">Set max zoom out level for Down view. Zoom value in down view changes dynamically as a
 function of pitch. Full map's zoom scale range is from 0(most zoomed out) to 1.0(most
 zoomed in). Example: Setting value of 0.8 would limit livesight zoom to 0.8(most zoomed
 out) to 1.0(most zoomed in).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - max zoom out level.</dd>
<dd><code>animate</code> - true to animate change from previous value to new one.</dd>
<dd><code>pitchCorrection</code> - true to consider current pitch when zoom scale was applied. The final max zoom
            out value will be equal or greater then specified.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getMaxZoomOutScale--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxZoomOutScale</h4>
<pre>public float getMaxZoomOutScale()</pre>
<div class="block">Get max zoom out level for Down view. Zoom value in down view changes dynamically as a
 function of pitch. Full zoom range is from 0(most farthest) to 1.0(most closest).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>max zoom out level</dd>
</dl>
</li>
</ul>
<a name="setMinPitch-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinPitch</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setMinPitch(float value)</pre>
<div class="block">Sets minimum Down view pitch. Value's range should be [min map tilt, max map tilt].
 <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - minimum map pitch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#setTilt-float-com.here.android.mpa.mapping.Map.Animation-"><code>Map.setTilt(float, Map.Animation)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinTilt--"><code>Map.getMinTilt()</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxTilt--"><code>Map.getMaxTilt()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMinPitch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinPitch</h4>
<pre>public float getMinPitch()</pre>
<div class="block">Get minimum Down view pitch. Default value is <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>'s min pitch.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>minimum map pitch.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#setTilt-float-com.here.android.mpa.mapping.Map.Animation-"><code>Map.setTilt(float, Map.Animation)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinTilt--"><code>Map.getMinTilt()</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxTilt--"><code>Map.getMaxTilt()</code></a></dd>
</dl>
</li>
</ul>
<a name="setAutoControlOnEntryExit-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoControlOnEntryExit</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoControlOnEntryExit(boolean enabled)</pre>
<div class="block">Enable/disable map auto control during Entry and Exit animations. If certain map
 parameters such as auto pitch, auto heading are disabled, they are treated enabled during
 Entry and Exit animations only.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, map auto control is enabled during Entry and Exit animations.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="setAutoZoomEnabled-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoZoomEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoZoomEnabled(boolean enabled,
                                                      boolean animate)</pre>
<div class="block">Enable/disable auto zoom control. When enabled, <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a> adjusts the zoom
 level automatically</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, zoom is adjusted automatically</dd>
<dd><code>animate</code> - If <code>true</code>, start animation from current value to the calculated by
            liveisght</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="isAutoZoomEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoZoomEnabled</h4>
<pre>public boolean isAutoZoomEnabled()</pre>
<div class="block">Get Down view auto zoom setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto zoom setting</dd>
</dl>
</li>
</ul>
<a name="setAutoPitchEnabled-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoPitchEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoPitchEnabled(boolean enabled,
                                                       boolean animate)</pre>
<div class="block">Enable/disable auto pitch control. When enabled, <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a> adjusts the pitch
 automatically</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, pitch is adjusted automatically</dd>
<dd><code>animate</code> - If <code>true</code>, start animation from current value to the calculated by
            liveisght</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="isAutoPitchEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoPitchEnabled</h4>
<pre>public boolean isAutoPitchEnabled()</pre>
<div class="block">Get Down view auto pitch setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto pitch setting</dd>
</dl>
</li>
</ul>
<a name="setAutoHeadingEnabled-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoHeadingEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoHeadingEnabled(boolean enabled,
                                                         boolean animate)</pre>
<div class="block">Enable/disable auto heading control. When enabled, <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a> adjusts the
 heading automatically</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, heading is adjusted automatically</dd>
<dd><code>animate</code> - If <code>true</code>, start animation from current value to the calculated by
            liveisght</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="isAutoHeadingEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoHeadingEnabled</h4>
<pre>public boolean isAutoHeadingEnabled()</pre>
<div class="block">Get Down view auto heading setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto heading setting</dd>
</dl>
</li>
</ul>
<a name="setAutoTFCEnabled-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoTFCEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoTFCEnabled(boolean enabled,
                                                     boolean animate)</pre>
<div class="block">Enable/disable auto transform center control. When enabled, <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a> adjusts
 the transform center automatically</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, transform center is adjusted automatically</dd>
<dd><code>animate</code> - If <code>true</code>, start animation from current value to the calculated by
            liveisght</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="isAutoTFCEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoTFCEnabled</h4>
<pre>public boolean isAutoTFCEnabled()</pre>
<div class="block">Get Down view auto tfc setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto tfc setting</dd>
</dl>
</li>
</ul>
<a name="setAutoGeoCenterEnabled-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoGeoCenterEnabled</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setAutoGeoCenterEnabled(boolean enabled,
                                                           boolean animate)</pre>
<div class="block">Enable/disable auto geo center control. When enabled, <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a> sets geo
 center automatically</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - If <code>true</code>, geo center is set automatically</dd>
<dd><code>animate</code> - If <code>true</code>, start animation from current value to the calculated by
            liveisght</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="isAutoGeoCenterEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoGeoCenterEnabled</h4>
<pre>public boolean isAutoGeoCenterEnabled()</pre>
<div class="block">Get Down view auto geo center setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto geo center setting</dd>
</dl>
</li>
</ul>
<a name="setPitchThreshold-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPitchThreshold</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setPitchThreshold(float value)</pre>
<div class="block">Set Pitch threshold when Up view transitions to Down view</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Pitch value ranges from 0...180</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getPitchThreshold--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPitchThreshold</h4>
<pre>public float getPitchThreshold()</pre>
<div class="block">Get pitch threshold when Up view transitions to Down view</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pitch value which triggers transition from Up view to Down view</dd>
</dl>
</li>
</ul>
<a name="setMinAlpha-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinAlpha</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setMinAlpha(float value)</pre>
<div class="block">Set minimum alpha value for DOWN view. Range 0..1f.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The DOWN view alpha channel</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getMinAlpha--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinAlpha</h4>
<pre>public float getMinAlpha()</pre>
<div class="block">Get minimum alpha value for DOWN view. Range 0..1f.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>min alpha channel value of DOWN view</dd>
</dl>
</li>
</ul>
<a name="setMaxAlpha-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxAlpha</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setMaxAlpha(float value)</pre>
<div class="block">Set maximum alpha value for DOWN view. Range 0..1f.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The DOWN view alpha channel.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getMaxAlpha--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxAlpha</h4>
<pre>public float getMaxAlpha()</pre>
<div class="block">Get maximum alpha value for DOWN view. Range 0..1f.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>max alpha channel value of DOWN view.</dd>
</dl>
</li>
</ul>
<a name="setFadeOutAnimationDelay-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeOutAnimationDelay</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeOutAnimationDelay(long value)</pre>
<div class="block">Set Down view fade-out animation delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Down view fade-out animation delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeOutAnimationDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeOutAnimationDelay</h4>
<pre>public long getFadeOutAnimationDelay()</pre>
<div class="block">Get delay of Down view fade-out animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay of Down view fade-out animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setFadeOutAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeOutAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeOutAnimationTime(long value)</pre>
<div class="block">Set Down view fade-out animation duration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Down view fade-out animation duration in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeOutAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeOutAnimationTime</h4>
<pre>public long getFadeOutAnimationTime()</pre>
<div class="block">Get duration of Down view fade-out animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>duration of Down view fade-out animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setFadeInAnimationDelay-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeInAnimationDelay</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeInAnimationDelay(long value)</pre>
<div class="block">Set Down view fade-in animation delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Down view fade-in animation delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeInAnimationDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeInAnimationDelay</h4>
<pre>public long getFadeInAnimationDelay()</pre>
<div class="block">Get delay of Down view fade-in animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay of Down view fade-in animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setFadeInAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeInAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeInAnimationTime(long value)</pre>
<div class="block">Set Down view fade-in animation duration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Down view fade-in animation duration in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeInAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeInAnimationTime</h4>
<pre>public long getFadeInAnimationTime()</pre>
<div class="block">Get duration of Down view fade-in animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>duration of Down view fade-in animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setFadeOutInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeOutInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeOutInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for Down view fade-out animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for Down view fade-out animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeOutInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeOutInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getFadeOutInterpolator()</pre>
<div class="block">Get the interpolator for Down view fade-out animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for Down view fade-out animation</dd>
</dl>
</li>
</ul>
<a name="setFadeInInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFadeInInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setFadeInInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for Down view fade-in animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for Down view fade-in animation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getFadeInInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFadeInInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getFadeInInterpolator()</pre>
<div class="block">Get the interpolator for Down view fade-in animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for Down view fade-in animation</dd>
</dl>
</li>
</ul>
<a name="setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeadingInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setHeadingInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set auto heading interpolation algorithm</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - auto heading interpolation algorithm.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getHeadingInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeadingInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getHeadingInterpolator()</pre>
<div class="block">Get auto heading interpolation algorithm.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>auto heading interpolation algorithm enumerator.</dd>
</dl>
</li>
</ul>
<a name="setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setPitchInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set auto pitch interpolation algorithm</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - auto pitch interpolation algorithm.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getPitchInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getPitchInterpolator()</pre>
<div class="block">Get auto pitch interpolation algorithm.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>auto pitch interpolation algorithm enumerator.</dd>
</dl>
</li>
</ul>
<a name="setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setZoomInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setZoomInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set auto zoom interpolation algorithm.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - auto zoom interpolation algorithm.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getZoomInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZoomInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getZoomInterpolator()</pre>
<div class="block">Get auto zoom interpolation algorithm.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>auto zoom interpolation algorithm enumerator.</dd>
</dl>
</li>
</ul>
<a name="setGeoCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setGeoCenterInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set auto GPS interpolation algorithm.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - auto GPS interpolation algorithm.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getGeoCenterInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeoCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getGeoCenterInterpolator()</pre>
<div class="block">Get auto GPS interpolation algorithm.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>auto GPS interpolation algorithm enumerator.</dd>
</dl>
</li>
</ul>
<a name="setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setCenterInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set auto TFC interpolation algorithm.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - auto TFC interpolation algorithm.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
<a name="getCenterInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getCenterInterpolator()</pre>
<div class="block">Get auto TFC interpolation algorithm.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>auto TFC interpolation algorithm enumerator.</dd>
</dl>
</li>
</ul>
<a name="setTransformCenter-android.graphics.PointF-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTransformCenter</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a> setTransformCenter(android.graphics.PointF center,
                                                      boolean animate)</pre>
<div class="block">Set down view transform center in the livesight. By default map transform center and
 first person view are coincide. The API enables separation of these points and creating
 "fly around" effect, where viewer is "flying around" specified map transform center.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - Normalized screen coordinates. Example {0.5, 1} corresponds to {width/2,
            height}</dd>
<dd><code>animate</code> - A flag to enable/disable animation from current view point to new one.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>DownViewParams</code> object itself</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.DownViewParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.CameraParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.Error.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.DownViewParams.html" target="_top">Frames</a></li>
<li><a href="ARController.DownViewParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
